
<ion-menu class="my-menu" [content]="content" color="dark" side="left">
  <ion-header class="header-menu">
    <ion-toolbar>
      <ion-list>
        <ion-item>
          <ion-avatar item-start><img src="../assets/imgs/profile.jpg"></ion-avatar>
          <h2>Albert Cisneros</h2>
          <p>luis.albert.cisneros@gmail.com</p>
        </ion-item>
      </ion-list>
      <ion-row class="counts">
        <ion-col col-6>
          <h4 ion-text color="light">125 Contacts</h4>
        </ion-col>
        <ion-col col-6>
          <h4 ion-text color="light">34 Favorites</h4>
        </ion-col>
      </ion-row>
    </ion-toolbar>
  </ion-header>
  <ion-content class="content-menu">
    <ion-list>
      <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)"> 
        <ion-icon [name]="p.icon" item-start></ion-icon>
        <h4>{{p.title}}</h4>
      </button>
      <button ion-item (click)="exit()">
        <ion-icon name="exit" item-start></ion-icon>
        <h4>Sign Out</h4>
      </button>
      <button ion-item (click)="removeAccount()">
        <ion-icon name="trash" color="danger" item-start></ion-icon>
        <h4 ion-text color="danger">Delete Account</h4>
      </button>
    </ion-list>
  </ion-content>
</ion-menu><!-- Disable swipe-to-go-back because it's poor UX to combine STGB with side menus -->
<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>